Name:		demo
Version:	0.0.1
Release:	1
Summary:	Demo python script project packaging RPM
Group:		Applications/Tools
License:	GPL3+
Source0:	http://github.com/eduardocerqueira/demo/%{name}-%{version}.tar.gz

BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-nose
Requires:       python

%global debug_package %{nil}

%description
Demo is a CLI python test project packaging as RPM

%prep
%setup -q -n %{name}

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mkdir -p %{buildroot}/%{_mandir}/man1
cp Demo.1 %{buildroot}/%{_mandir}/man1/Demo.1

%files
%defattr(755,root,root,755)
%{python_sitelib}/demo*
%attr (755,root,root)/usr/bin/demo
%doc README.md
%doc AUTHORS
%{_mandir}/man1/Demo.1.gz

%changelog
* Sun Oct 30 2016 Eduardo Cerqueira <eduardomcerqueira@gmail.com> - 0.0.1
- initial build
